Skip to main content
GET
/
v1
/
posts
/
{id}
Fetch a single post with attempts
curl --request GET \
  --url https://api.letmepost.dev/v1/posts/{id} \
  --header 'Authorization: Bearer <token>'
{
  "id": "<string>",
  "profileId": "<string>",
  "accountId": "<string>",
  "account": {
    "id": "<string>",
    "platform": "bluesky",
    "platformAccountId": "<string>",
    "displayName": "<string>"
  },
  "platform": "bluesky",
  "status": "queued",
  "text": "<string>",
  "mediaRefs": [
    "<unknown>"
  ],
  "scheduledAt": "<string>",
  "publishedAt": "<string>",
  "platformUri": "<string>",
  "platformCid": "<string>",
  "createdAt": "<string>",
  "updatedAt": "<string>",
  "error": "<unknown>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.letmepost.dev/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

Mint an API key in the dashboard. See https://letmepost.dev/docs/authentication/.

Path Parameters

id
string
required

Response

Post detail.

id
string
required
profileId
string
required
accountId
string
required
account
object
required
platform
enum<string>
required

Supported platforms in v1.

Available options:
bluesky,
facebook,
instagram,
linkedin,
pinterest,
threads,
twitter
status
enum<string>
required
Available options:
queued,
validated,
publishing,
published,
failed,
rejected
text
string
required
mediaRefs
any[]
required
scheduledAt
string | null
required
publishedAt
string | null
required
platformUri
string | null
required
platformCid
string | null
required
createdAt
string
required
updatedAt
string
required
error
any